Bug 248074 - Exp-Run for changing default PHP Version to 7.4
Summary: Exp-Run for changing default PHP Version to 7.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Port Management Team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-07-18 18:57 UTC by Torsten Zuehlsdorff
Modified: 2020-09-13 22:09 UTC (History)
1 user (show)

See Also:
tz: exp-run?


Attachments
Patch for PHP 7.4 default version change (446 bytes, patch)
2020-07-18 18:57 UTC, Torsten Zuehlsdorff
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Torsten Zuehlsdorff freebsd_committer 2020-07-18 18:57:34 UTC
Created attachment 216547 [details]
Patch for PHP 7.4 default version change

PHP 7.2 has only 4 month of security patches left.
PHP 7.3 has only 4 month of active support left + 1 year auf security only.

So lets jump to PHP 7.4 and be curious about 8.0 at the end of the year.

Please to an exp-run for changing the default version.

We need to check everything with DEPENDS on or USES php.
Comment 2 commit-hook freebsd_committer 2020-07-28 07:52:32 UTC
A commit references this bug:

Author: tz
Date: Tue Jul 28 07:51:53 UTC 2020
New revision: 543581
URL: https://svnweb.freebsd.org/changeset/ports/543581

Log:
  In order to switch to PHP 7.4 as new default, we need to ignore some ports.
  These are relying on the wddx module of PHP, which was removed in 7.4.

  Therefore the following ports are marked as IGNORE_WITH_PHP= 74
  * www/glpi
  * www/zend-framework
  * www/zend-framework1

  PR:		248074
  Sponsored by:	Bounce Experts

Changes:
  head/www/glpi/Makefile
  head/www/zend-framework/Makefile
  head/www/zend-framework1/Makefile
Comment 3 Torsten Zuehlsdorff freebsd_committer 2020-07-29 09:31:40 UTC
Hi Antonie,

you just posted fallout for 11.3. Does this imply that there are still exp-runs planned/running for the other versions?

Thank you!
Torsten
Comment 4 Antoine Brodin freebsd_committer 2020-07-29 10:07:34 UTC
(In reply to Torsten Zuehlsdorff from comment #3)
On 12.1 the failure logs were the same.
Comment 5 Torsten Zuehlsdorff freebsd_committer 2020-07-29 10:27:42 UTC
(In reply to Antoine Brodin from comment #4)

> On 12.1 the failure logs were the same.

Yeah. I would assume its the same on all. And all should be fixed with the commit :)
Comment 6 Torsten Zuehlsdorff freebsd_committer 2020-08-03 17:52:26 UTC
So the exp-run is done? Nothing more found? We can close this issue? :)
Comment 7 commit-hook freebsd_committer 2020-09-13 22:04:02 UTC
A commit references this bug:

Author: tz
Date: Sun Sep 13 22:03:39 UTC 2020
New revision: 548578
URL: https://svnweb.freebsd.org/changeset/ports/548578

Log:
  Switch default version of PHP from 7.2 to 7.4.

  7.2 does not receive any bugfixes anymore. Also the security fixes will
  end at 2020-11-30.
  Since PHP 7.3 will only receive bugfixes for the next 2 month, we
  switch directly to 7.4

  PR:		248074
  Sponsored by:	Bounce Experts

Changes:
  head/Mk/bsd.default-versions.mk
  head/UPDATING
Comment 8 Torsten Zuehlsdorff freebsd_committer 2020-09-13 22:09:13 UTC
Since everything worked fine, i went ahead and committed it :)

Thank you!
Torsten